.formInmputDrag {
  min-width: 100px;
  padding: 10px 20px 10px 30px;
  float: left;
  margin-right: 20px;
  min-height: 30px;
  cursor: move;
  display: flex;
  -webkit-box-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  align-items: center;
  text-align: center;
  background: #fff;
  z-index: 999;
  position: relative;
  transition: box-shadow 200ms cubic-bezier(0, 0, 0.2, 1);
  box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 2px 2px 0 rgba(0, 0, 0, 0.14),
    0 1px 5px 0 rgba(0, 0, 0, 0.12);
  &:active {
    box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2),
      0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12);
  }
  &.bg-green {
    background-color: green !important;
    color: white !important;
  }
  &.bg-red {
    background-color: #f44336 !important;
    color: #fff !important;
  }
  &.bg-yellow {
    background-color: yellow !important;
    color: blue !important;
  }
  &.bg-blue {
    background-color: blue !important;
    color: fff !important;
  }
  .relative {
    position: relative;
    .remove-me-drag {
      position: absolute;
       right: -30px;
      top: -20px;
      background: red;
      width: 20px;
      height: 20px;
      border-radius: 50%;
      color: #fff;
      cursor: pointer;
      font-size: 13px;
    }
    p {
      margin: 0;
    }
  }
  .add-me-drag {
    position: absolute;
    left: 0;
    top: 50%;
    opacity: 0;
    transition: all 0.3s linear;
    background: #fff;
    z-index: 99;
    padding: 0 20px;
    line-height: 30px;
    font-size: 13px;
    font-family: 'Google sans Regular';
    color: #222;
    width: 100%;
    height: 100%;
    cursor: pointer;
  }
  &.lists {
    padding: 0 20px !important;
    &:hover {
      .add-me-drag {
        opacity: 1;
        left: 0;
        top: 0;
        transition: all 0.2s linear;
      }
    }
  }
  .signature {
    cursor: cell !important;
  }
}

.pdfComponent {
  .bg-customs {
    .pdfControls {
      padding: 10px;
      text-align: center;
      background: #607d8b;
    }
    .btn_controls {
      margin-right: 5px;
      border: solid 1px #ccc !important;
      padding: 2px 7px;
      color: #555;
    }
  }
  .dragAndDropFormCreature {
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    .drag-and-drop-elements {
      border: solid 1px #607d8b;
      border-top: none !important;
      margin-bottom: 20px;
      position: relative;
      float: left;
      width: 100%;
      padding: 15px;
    }
  }
  .drag-boundary {
    display: flex;
    flex-direction: column;
  }
}

.is_absolue {
  position: absolute !important;
}

.drag-block-handle {
  position: absolute;
  top: 0;
  left: 0px;
  width: 20px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.pull-signature-drag-and-dop-to-right {
  margin-left: 20% !important;
}

.page { background-color:white; position:relative; z-index:0; }
.vector { position:absolute; z-index:1; }
.image { position:absolute; z-index:2; }
.text { position:absolute; z-index:3; opacity:inherit; white-space:nowrap; }
.annotation { position:absolute; z-index:5; }
.control { position:absolute; z-index:10; }
.annotation2 { position:absolute; z-index:7; }
.dummyimg { vertical-align: top; border: none; }
